@import url("https://fonts.googleapis.com/css2?family=Lora:ital@0;1&family=Poppins:wght@400;500;600&display=swap");

:root {
  --primary-color: #f5f4f2;
  --text-dark: #57534e;
  --text-light: #78716c;
  --white: #ffffff;
  --logo: #e26f19;
  --max-width: 1200px;
  --header-font: "Lora", serif;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;  /* Enables smooth scrolling for anchor links */
}

h1,
h2,
h3,
h4 {
  font-family: var(--header-font);
  font-weight: 400;
}

h1 {
  font-size: 3rem;
}

h2 {
  font-size: 2.5rem;
}

h3 {
  font-size: 1.5rem;
}
h4{
  font-size: 1rem;
}

.bar {
  display: block;
  margin: auto auto;
  position: relative;
  content: "";
  bottom: -1rem;
  height: 2.5px;
  width: 40px;
  background-color: var(--logo);
  align-items: center;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

img {
  width: 100%;
  display: flex;
}

a {
  text-decoration: none;
  color: inherit;
}

body {
  font-family: "Poppins", sans-serif;
}

nav {
  max-width: var(--max-width);
  margin: auto;
  padding: 1rem;
}

.nav__links {
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.link a {
  font-weight: 500;
  color: var(--text-light);
  transition: 0.3s;
}

.link a:hover {
  color: var(--text-dark);
}

.nav__logo {
  text-align: center;
  cursor: pointer;
}

.nav__logo img {
  margin: auto;
  max-width: 50px;
}

.nav__logo h4 {
  font-size: 1.5rem;
  font-family: var(--header-font);
  letter-spacing: 2px;
  color: var(--text-dark);
}

.nav__logo p {
  font-size: 0.8rem;
  font-weight: 500;
  letter-spacing: 2px;
  color: var(--text-light);
}

.header {
  margin-bottom: 10rem;
  background-image: url("assets/header.jpg");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.header__container {
  min-height: 600px;
  position: relative;
}

.header__content {
  position: relative;
  bottom: -24rem;
  width: fit-content;
  padding: 2rem;
  background-color: var(--primary-color);
  border: 10px solid var(--white);
}

.header__content h4 {
  position: relative;
  margin-bottom: 2rem;
  font-size: 1rem;
  font-weight: 500;
  letter-spacing: 2px;
  color: var(--text-light);
}

.header__content h4::before,
.barr::before {
  position: absolute;
  content: "";
  bottom: -1rem;
  left: 0;
  height: 2px;
  width: 40px;
  background-color: var(--logo);
}

.header__content h1 {
  width: 100%;
  max-width: 600px;
  font-weight: 400;
  font-family: var(--header-font);
  color: var(--text-dark);
}

.header__content h1 span {
  font-style: italic;
}

.about__container {
  padding: 10rem 1rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  align-items: center;
}

.about__content p {
  margin-bottom: 2rem;
  color: var(--text-light);
}

.about__content h3 {
  position: relative;
  margin-bottom: 2rem;
  padding-left: 5rem;
  /* font-size: 1.5rem; */
  font-family: var(--header-font);
  color: var(--text-dark);
}

.about__content h3::before {
  position: absolute;
  content: "";
  top: 0;
  left: 2rem;
  height: 100%;
  width: 1rem;
  background-color: var(--primary-color);
}

.about__image img {
  margin: auto;
  max-width: 400px;
  outline: 2px solid var(--text-light);
  outline-offset: 1rem;
}

.banner {
  padding: 10rem 0;
  background: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.3)),
    url(assets/banner.jpg);
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.banner__container {
  text-align: center;
  color: var(--white);
  font-family: var(--header-font);
}

.banner__container p {
  font-size: 1.5rem;
}

.boxx a{
  display: contents;
}

.display__container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.display__col {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.display__content {
  padding: 4rem 0;
  flex: 1;
  display: grid;
  place-content: center;
  text-align: center;
  font-family: var(--header-font);
  color: var(--text-dark);
}

.display__col:nth-child(1) .display__content,
.display__col:nth-child(3) .display__content {
  background-color: #edeae3;
}

.display__col:nth-child(2) .display__content {
  background-color: #daddd6;
}

.display__content h4 {
  font-size: 2.5rem;
  font-weight: 400;
}

.display__content p {
  font-style: italic;
}

.services {
  background: var(--primary-color);
}

.services__container {
  text-align: center;
  color: var(--text-dark);
}

.services__container > .row {
  margin: 2rem 0 0 0;
}

.service_section > p {
  color: var(--text-light);
}

.service_section {
  text-align: left;
  display: flex;
  gap: 1rem;
  padding: 1rem;
}

.service_section .icon img {
  width: 50px;
  object-fit: contain;
  filter: brightness(0) saturate(100%) invert(53%) sepia(15%) saturate(4098%)
    hue-rotate(350deg) brightness(91%) contrast(94%);
}

.service_data {
  flex-direction: column;
  padding: 0;
}

.count-section {
  padding: 5rem 0;
}

.counter-section {
  display: flex;
  justify-content: space-between;
  opacity: 0; /* Initially hidden */
  transition: opacity 0.5s ease-out;
}

.counter::after {
  content: "+";
}

.gallery {
  display: flex;
  gap: 3rem;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  font-family: var(--header-font);
  color: var(--text-dark);

  h2 {
    position: relative;
  }

  .row {
    width: 100%;
  }

  .options ul li {
    display: inline-block;
    padding: 0.5rem 1rem;
    font-size: large;
    color: var(--text-light);
    transition: all 0.3s ease-in-out;
  }

  .options ul li.active,
  .options ul li:hover {
    color: var(--logo);
  }

  .grid {
    position: relative;
    display: flex;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
    width: 100%;
    margin: auto auto;
  }

  .grid .item {
    display: flex;
    width: calc(33.33% - 0.81rem);
    height: 250px;
    margin: auto auto;
    /* overflow: auto; */
    overflow: hidden;
  }

  .red {
    /* background: red; */
  }
  .yellow {
    /* background: yellow; */
  }
  .green {
    /* background: green; */
  }

  .grid .item {
    margin-bottom: 1rem;
  }
}

.gallery-block {
  position: relative;
  width: 100%;
  height: auto;
  overflow: hidden;
  /* border: 1px solid #ddd;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); */
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.labels {
  position: absolute;
  bottom: 12px;
  left: 12px;
  background: var(--white);
  padding: 0.5rem 1rem;
  transition: all 0.5s ease-in-out;
  z-index: 1;
}


.carousel {
  display: flex;
  transition: transform 0.5s ease-in-out;
  height: 100%;
  flex-wrap: wrap;
  flex-direction: column;
}

.carousel img {
  min-width: 100%;
  display: block;
  cursor: pointer;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.carousel-controls {
  position: absolute;
  top: 50%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  transform: translateY(-50%);
  pointer-events: none;
}

.carousel-controls button {
  background-color: rgba(0, 0, 0, 0.3);
  border: none;
  color: #fff;
  font-size: 24px;
  padding: 10px 20px;
  cursor: pointer;
  outline: none;
  pointer-events: all;
  transition: all 0.3s ease-in-out;
}

.carousel-controls button:hover {
  background-color: rgba(0, 0, 0, 0.6);
  /* background-color: white; */
  color: var(--logo);
}

/* Fullscreen overlay styles */
.fullscreen-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.fullscreen-overlay img {
  max-width: 90%;
  max-height: 90%;
  object-fit: contain;
}

.close-btn {
  position: absolute;
  top: 20px;
  right: 20px;
  background-color: transparent;
  color: white;
  font-size: xx-large;
  border: none;
  padding: 0.5rem;
  cursor: pointer;
  border-radius: 50%;
  transition: all 0.3s ease-in-out;
}

.close-btn:hover {
  color: var(--logo);
}


.gallery-block:hover .carousel{
  scale: 110%;
}

.gallery-block:hover .labels {
  background: var(--logo);
  color: var(--white);
  /* color: var(--logo); */
}



.footer {
  margin-top: 2rem;
  position: relative;
  background-color: var(--primary-color);
}

.footer__container {
  text-align: center;
}

.footer__container img {
  position: absolute;
  top: -2.5rem;
  left: 50%;
  transform: translateX(-50%);
  max-width: 150px;
  background-color: white;
  padding: 0.5rem;
}

.footer__container h1 {
  max-width: 600px;
  margin: auto;
  margin-bottom: 3rem;
  font-weight: 400;
  font-family: var(--header-font);
  color: var(--text-dark);
}

.footer__container p {
  max-width: 1000px;
  margin: auto;
  margin-bottom: 2rem;
  color: var(--text-light);
}

.footer__container button {
  padding: 1rem 2rem;
  outline: none;
  border: none;
  font-size: 1rem;
  font-weight: 500;
  color: var(--text-light);
  background-color: var(--white);
  cursor: pointer;
  transition: 0.3s;
}

.footer__container button:hover {
  color: var(--text-dark);
}

.footer__bar {
  padding: 1rem;
  text-align: center;
  font-size: 0.8rem;
  color: var(--text-light);
}

.footer__bar a {
  text-decoration: underline;
}

/*******************************************************************************************************************************/

@media (width < 900px) {
  .about__container {
    grid-template-columns: repeat(1, 1fr);
    gap: 5rem;
  }

  .about__image {
    grid-area: 1/1/2/2;
  }

  .display__container {
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  }

  .display__col:nth-child(3) {
    display: none;
  }
  .gallery .grid .item {
    width: calc(50% - 0.6rem);
  }
}

@media (width < 600px) {
  h1{
    font-size: 2rem;
  }
  h2{
    font-size: 1.8rem;
  }
  h3{
    font-size: 1.5rem;
  }
  h4{
    font-size: 1rem;
  }

  /* p{
    margin: 0 !important;
  } */

  .header__content{
    padding: 1rem;
  }

  .about__container, .banner{
    padding: 5rem 1rem;
  }

  .about__container {
    padding-bottom: 2rem;
    gap: 4rem;
  }

  .link {
    display: none;
  }

  .header {
    margin-bottom: 5rem;
  }

  .header__content {
    bottom: -20rem;
  }

  .display__container {
    grid-template-columns: repeat(1, 1fr);
  }

  .display__col:nth-child(3) {
    display: flex;
  }
  .count-section .banner__container{
    padding: 0;
  }

  .counter-section{
    gap: 2.5rem;
  }

  .gallery .row{
    gap: 2.5rem;
  }

  .gallery .options ul li{
    padding: 0.5rem 0.8rem;
  }
  
  .gallery .grid .item {
    width: calc(100%);
  }

  .footer{
    margin: 0;
  }
}
